Page MenuHomePhabricator

[keyresult] Migrate all Service team owned services to scap
Closed, ResolvedPublic

Description

For tracking the migration of services to the new scap3 work.

Event Timeline

greg created this task.Aug 22 2015, 12:53 AM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added a project: Scap.
greg moved this task to Needs triage on the Scap board.
greg added a subscriber: greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2015, 12:53 AM
greg set Security to None.
greg renamed this task from [keyresult] Migrate service and MW deployments to scap3 to [keyresult] Migrate all Service team owned services and MW deploys to scap3.Sep 1 2015, 8:30 PM
greg edited projects, added Deployments; removed Scap.
greg updated the task description. (Show Details)Sep 30 2015, 4:41 PM
greg updated the task description. (Show Details)Sep 30 2015, 6:15 PM
greg updated the task description. (Show Details)Sep 30 2015, 9:27 PM
greg added subscribers: mmodell, demon.
hashar added a subscriber: hashar.Dec 2 2015, 3:33 PM

We would need sub tasks to also switch:

  • cxserver
  • graphoid
  • parsoid

We would need sub tasks to also switch:

  • cxserver
  • graphoid
  • parsoid

+ AQS

greg updated the task description. (Show Details)Dec 3 2015, 1:28 AM

Adding our Q3 goal project because any of these we don't get to in Q2 should obviously flow over into Q3.

greg edited projects, added scap2; removed Deployments.Feb 9 2016, 11:52 PM
dduvall moved this task from Needs triage to Adoption on the Scap board.Feb 12 2016, 7:55 PM
mmodell moved this task from Adoption to Scap3-Adoption-Phase1 on the Scap board.Mar 4 2016, 7:01 PM
mmodell edited projects, added Scap (Scap3-Adoption-Phase1); removed Scap.

the repo_config in salt is probably the canonical list of things deployed with Trebuchet.

There are currently 40 repos in repo_config:

operations-puppet production[git]✔ 25s
(•◡•)❥ python2
Python 2.7.11 (default, Jan 11 2016, 21:04:40)
[GCC 5.3.1 20160101] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import yaml
>>> with open('hieradata/common/role/deployment.yaml') as f:
...   repos = yaml.load(f.read())
...
>>> count = 0
>>> for repo in repos['repo_config']:
...   count += 1
...   print '{}. {}'.format(count, repo)
...
1. scholarships/scholarships
2. librenms/librenms
3. cassandra/metrics-collector
4. kibana/kibana
5. statsv/statsv
6. zotero/translation-server
7. citoid/deploy
8. integration/mediawiki-tools-codesniffer
9. integration/phpunit
10. ocg/ocg
11. dropwizard/metrics
12. zotero/translators
13. wdqs/wdqs
14. cxserver/deploy
15. logstash/plugins
16. fluoride/fluoride
17. elasticsearch/plugins
18. tilerator/deploy
19. integration/php-coveralls
20. test/testrepo
21. mobileapps/deploy
22. jobrunner/jobrunner
23. wikimedia/discovery/analytics
24. eventlogging/eventlogging
25. kartotherian/deploy
26. eventlogging/eventbus
27. parsoid/deploy
28. analytics/refinery
29. mathoid/deploy
30. scap/scap
31. cassandra/logstash-logback-encoder
32. integration/phpcs
33. restbase/deploy
34. servermon/servermon
35. integration/slave-scripts
36. graphoid/deploy
37. analytics/aqs/deploy
38. rcstream/rcstream
39. iegreview/iegreview
40. sentry/sentry

Repos that don't need to migrate:

  1. scap/scap - this is now a deb
  2. testrepo/test - don't really need it, should be easy to move in any case

Repos that rely on git-fat:

  1. cassandra/metrics-collector
  2. dropwizard/metrics
  3. logstash/plugins
  4. cassandra/logstash-logback-encoder

That leaves:

  1. scholarships/scholarships
  2. librenms/librenms
  3. kibana/kibana
  4. statsv/statsv
  5. zotero/translation-server
  6. citoid/deploy
  7. integration/mediawiki-tools-codesniffer
  8. integration/phpunit
  9. ocg/ocg
  10. zotero/translators
  11. wdqs/wdqs
  12. cxserver/deploy
  13. fluoride/fluoride
  14. elasticsearch/plugins
  15. tilerator/deploy
  16. integration/php-coveralls
  17. mobileapps/deploy
  18. jobrunner/jobrunner
  19. wikimedia/discovery/analytics
  20. eventlogging/eventlogging
  21. kartotherian/deploy
  22. eventlogging/eventbus
  23. parsoid/deploy
  24. analytics/refinery
  25. mathoid/deploy
  26. integration/phpcs
  27. restbase/deploy
  28. servermon/servermon
  29. integration/slave-scripts
  30. graphoid/deploy
  31. analytics/aqs/deploy
  32. rcstream/rcstream
  33. iegreview/iegreview
  34. sentry/sentry
Legoktm added a subscriber: Legoktm.Mar 7 2016, 9:10 PM
  1. integration/mediawiki-tools-codesniffer
  2. integration/phpcs

These two are no longer used by anything and should just be removed.

greg renamed this task from [keyresult] Migrate all Service team owned services and MW deploys to scap3 to [keyresult] Migrate all Service team owned services to scap.Mar 8 2016, 11:08 PM
greg renamed this task from [keyresult] Migrate all Service team owned services to scap to [keyresult] Migrate all Service team owned services and MW to scap.Mar 8 2016, 11:18 PM
hashar removed a subscriber: hashar.Apr 12 2017, 7:37 AM

All of the services owned and/or maintained by the Services team are now using Scap3. Resolving.

greg renamed this task from [keyresult] Migrate all Service team owned services and MW to scap to [keyresult] Migrate all Service team owned services to scap.Aug 11 2017, 1:42 AM
greg closed this task as Resolved.
greg assigned this task to mobrovac.
greg updated the task description. (Show Details)

Thanks @mobrovac \o/